curl -X DELETE \
-H "QB-Token: d9c91a69e552145f6fe24dbb40b50ac575012bba" \
https://api.quickblox.com/data/ScoreTable/5d87d2f4a28f9a48631cb55b.json
{}
Custom Objects
Delete Records
Delete records by IDs.
DELETE
/
data
/
{class_name}
/
{custom_object_record_id}
,
{custom_object_record_id}
.json
curl -X DELETE \
-H "QB-Token: d9c91a69e552145f6fe24dbb40b50ac575012bba" \
https://api.quickblox.com/data/ScoreTable/5d87d2f4a28f9a48631cb55b.json
{}
Recipes
Delete many records
Delete many records
1
1. Set records IDs
Set IDs of records that should be deleted via comma.
curl -X DELETE \
-H "QB-Token: d9c91a69e552145f6fe24dbb40b50ac575012bba" \
"https://api.quickblox.com/data/MyScoreTable/5d87d328a28f9a545f1cb558,51c9ab92535c12951b0032dd,5d87d354a28f9a59df1cb557.json"
2
2. As a result, the API returns a '200 OK' status code which implies that records were deleted.
200 OK
Delete one record
Delete one record
1
1. Set a record ID
Set the ID of the record that should be deleted.
curl -X DELETE \
-H "QB-Token: d9c91a69e552145f6fe24dbb40b50ac575012bba" \
"https://api.quickblox.com/data/ScoreTable/5d87d2f4a28f9a48631cb55b.json"
2
2. As a result, the API returns a '200 OK' status code which implies that a record was deleted.
200 OK
Delete many records with API key
Delete many records with API key
1
1. Use 'Authorization' header to pass API key
curl -X DELETE \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
"https://api.quickblox.com/data/MyScoreTable/5d87d328a28f9a545f1cb558,51c9ab92535c12951b0032dd,5d87d354a28f9a59df1cb557.json"
2
2. Set records IDs
Set IDs of records that should be deleted via comma.
curl -X DELETE \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
"https://api.quickblox.com/data/MyScoreTable/5d87d328a28f9a545f1cb558,51c9ab92535c12951b0032dd,5d87d354a28f9a59df1cb557.json"
3
3. As a result, the API returns a '200 OK' status code which implies that records were deleted.
200 OK
Delete one record with API key
Delete one record with API key
1
1. Use 'Authorization' header to pass API key
curl -X DELETE \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
"https://api.quickblox.com/data/ScoreTable/5d87d2f4a28f9a48631cb55b.json"
2
2. Set a record ID
Set the ID of the record that should be deleted.
curl -X DELETE \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
"https://api.quickblox.com/data/ScoreTable/5d87d2f4a28f9a48631cb55b.json"
3
3. As a result, the API returns a '200 OK' status code which implies that a record was deleted.
200 OK
Path Parameters
string
required
Custom object class name.
string
required
ID of the custom object record. Generated automatically by the server after record creation.
Headers
string
required
A user or application session token. See Authentication page to learn more about session tokens. Must be used either QB-Token or Authorization.
string
default:"ApiKey {your_api_key}"
API key from Dashboard. Expected format:
ApiKey {your_api_key}. Must be used
either QB-Token or Authorization.string
User ID. The user ID of the user on whose behalf the request is being made.
Responses
200
200
A successful response
curl -X DELETE \
-H "QB-Token: d9c91a69e552145f6fe24dbb40b50ac575012bba" \
https://api.quickblox.com/data/ScoreTable/5d87d2f4a28f9a48631cb55b.json
{}
Was this page helpful?